Skip to main content
GET
https://tickward.com/api/v1
/
webhooks
List webhook endpoints
curl --request GET \
  --url https://tickward.com/api/v1/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "wh_123",
      "object": "webhook_endpoint",
      "name": "Production automation",
      "url": "https://example.com/tickward/webhooks",
      "event_types": [],
      "failure_count": 1,
      "created_at": "2026-10-10T09:30:00.000Z",
      "updated_at": "2026-10-10T09:30:00.000Z",
      "disabled_at": "2026-10-10T09:30:00.000Z",
      "last_delivered_at": "2026-10-10T09:30:00.000Z",
      "last_failed_at": "2026-10-10T09:30:00.000Z"
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
default:tw_your_api_key
required

Use a tickward API key from Settings. API keys start with tw_. Store keys as secrets and send them as Authorization: Bearer <key>.

Response

Successful response.

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required